ur_rna.RNAstructure.backend

## Enum RestraintType

- java.lang.Object
- - java.lang.Enum<RestraintType>
  - - ur_rna.RNAstructure.backend.RestraintType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RestraintType>

      public enum RestraintType
      extends java.lang.Enum<RestraintType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private static class` | `RestraintType.SwigNext`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RESTRAINT_CMCT`
    `RESTRAINT_DMS`
    `RESTRAINT_SHAPE`
    `RESTRAINT_SHAPE_AC`
    `RESTRAINT_SHAPE_DIFF`
    `RESTRAINT_SHAPE_GU`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `swigValue`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RestraintType` | `swigToEnum(int swigValue)`
    `int` | `swigValue()`
    `static RestraintType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RestraintType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESTRAINT_CMCT

          public static final RestraintType RESTRAINT_CMCT

    - #### RESTRAINT_DMS

          public static final RestraintType RESTRAINT_DMS

    - #### RESTRAINT_SHAPE

          public static final RestraintType RESTRAINT_SHAPE

    - #### RESTRAINT_SHAPE_AC

          public static final RestraintType RESTRAINT_SHAPE_AC

    - #### RESTRAINT_SHAPE_DIFF

          public static final RestraintType RESTRAINT_SHAPE_DIFF

    - #### RESTRAINT_SHAPE_GU

          public static final RestraintType RESTRAINT_SHAPE_GU

  - ### Field Detail

    - #### swigValue

          private final int swigValue

  - ### Method Detail

    - #### swigToEnum

          public static RestraintType swigToEnum(int swigValue)

    - #### swigValue

          public final int swigValue()

    - #### valueOf

          public static RestraintType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static RestraintType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RestraintType c : RestraintType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared